some puppet modules donot have branch stable/ocata

Bug #1667237 reported by xuefeiyang on 2017-02-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-openstack-integration
Undecided
Unassigned

Bug Description

when I run all-in-one.sh

+ r10k puppetfile install -v
INFO -> Updating module /etc/puppet/modules/aodh
INFO -> Updating module /etc/puppet/modules/barbican
INFO -> Updating module /etc/puppet/modules/ceilometer
INFO -> Updating module /etc/puppet/modules/ceph
INFO -> Updating module /etc/puppet/modules/cinder
INFO -> Updating module /etc/puppet/modules/cloudkitty
ERROR -> Unable to manage Puppetfile content 'cloudkitty': Could not resolve desired ref 'stable/ocata' and no default given
INFO -> Updating module /etc/puppet/modules/congress
INFO -> Updating module /etc/puppet/modules/designate
INFO -> Updating module /etc/puppet/modules/ec2api
INFO -> Updating module /etc/puppet/modules/glance
INFO -> Updating module /etc/puppet/modules/gnocchi
INFO -> Updating module /etc/puppet/modules/heat
INFO -> Updating module /etc/puppet/modules/horizon
INFO -> Updating module /etc/puppet/modules/ironic
INFO -> Updating module /etc/puppet/modules/keystone
INFO -> Updating module /etc/puppet/modules/manila
INFO -> Updating module /etc/puppet/modules/mistral
INFO -> Updating module /etc/puppet/modules/monasca
ERROR -> Unable to manage Puppetfile content 'monasca': Could not resolve desired ref 'stable/ocata' and no default given
INFO -> Updating module /etc/puppet/modules/murano
INFO -> Updating module /etc/puppet/modules/neutron
INFO -> Updating module /etc/puppet/modules/nova
INFO -> Updating module /etc/puppet/modules/octavia
INFO -> Updating module /etc/puppet/modules/openstack_extras
INFO -> Updating module /etc/puppet/modules/openstacklib
INFO -> Updating module /etc/puppet/modules/oslo
INFO -> Updating module /etc/puppet/modules/ovn
INFO -> Updating module /etc/puppet/modules/panko
INFO -> Updating module /etc/puppet/modules/qdr
ERROR -> Unable to manage Puppetfile content 'qdr': Could not resolve desired ref 'stable/ocata' and no default given
INFO -> Updating module /etc/puppet/modules/sahara
INFO -> Updating module /etc/puppet/modules/swift
INFO -> Updating module /etc/puppet/modules/tacker
INFO -> Updating module /etc/puppet/modules/tempest
INFO -> Updating module /etc/puppet/modules/trove
INFO -> Updating module /etc/puppet/modules/vswitch
INFO -> Updating module /etc/puppet/modules/watcher
INFO -> Updating module /etc/puppet/modules/zaqar
INFO -> Updating module /etc/puppet/modules/powerdns
INFO -> Updating module /etc/puppet/modules/kmod
INFO -> Updating module /etc/puppet/modules/sysctl
INFO -> Updating module /etc/puppet/modules/ipaclient
INFO -> Updating module /etc/puppet/modules/staging
INFO -> Updating module /etc/puppet/modules/apache
INFO -> Updating module /etc/puppet/modules/apt
INFO -> Updating module /etc/puppet/modules/concat
INFO -> Updating module /etc/puppet/modules/firewall
INFO -> Updating module /etc/puppet/modules/inifile
INFO -> Updating module /etc/puppet/modules/mongodb
INFO -> Updating module /etc/puppet/modules/mysql
INFO -> Updating module /etc/puppet/modules/postgresql
INFO -> Updating module /etc/puppet/modules/rabbitmq
INFO -> Updating module /etc/puppet/modules/rsync
INFO -> Updating module /etc/puppet/modules/stdlib
INFO -> Updating module /etc/puppet/modules/vcsrepo
INFO -> Updating module /etc/puppet/modules/xinetd
INFO -> Updating module /etc/puppet/modules/memcached
INFO -> Updating module /etc/puppet/modules/python
INFO -> Updating module /etc/puppet/modules/dns
INFO -> Updating module /etc/puppet/modules/corosync

then , it runs over.

xuefeiyang (eatpotato) on 2017-02-23
summary: - some puppet modules do have branch stable/ocata
+ some puppet modules donot have branch stable/ocata
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers